#!/bin/sh
echo 'name: snap-core
version: 0.9.0
id: snap-core-0.9.0-0c15f13dd9bd61cf1089d3dda0da6318

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
synopsis: Snap: A Haskell Web Framework (core interfaces and types)
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core",
             some iteratee utilities are in "Snap.Iteratee".
category: Web, Snap
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Core Snap.Types Snap.Iteratee
                 Snap.Internal.Debug Snap.Internal.Exceptions
                 Snap.Internal.Http.Types Snap.Internal.Iteratee.Debug
                 Snap.Internal.Parsing Snap.Test Snap.Types.Headers
                 Snap.Util.FileServe Snap.Util.FileUploads Snap.Util.GZip
                 Snap.Util.Proxy Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool
                Snap.Internal.Parsing.FastSet Snap.Internal.Routing
                Snap.Internal.Types Snap.Internal.Test.RequestBuilder
                Snap.Internal.Test.Assertions
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/snap-core-0.9.0
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/snap-core-0.9.0
              /usr/local/lib
hs-libraries: HSsnap-core-0.9.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.4.2-6a8472ae640062c77c1c8e76fa6e1bb9
         MonadCatchIO-transformers-0.3.0.0-905b05c24749fec3a8c59fca181b1e06
         attoparsec-0.10.2.0-418f182a97838c13bf5416861a14f9db
         attoparsec-enumerator-0.3-17d242e2136970864e2b154efb99b858
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         base16-bytestring-0.1.1.5-262f62a7d97b5f0455cd001fe54d0843
         blaze-builder-0.3.1.0-b15df25e9ddf241eb83c0aad3bed9588
         blaze-builder-enumerator-0.2.0.4-91ef461bab305935b3f05860a637ccec
         bytestring-0.9.2.1-e2bcd9910229fcb291a3a8dd6f79f7fe
         bytestring-nums-0.3.5-f328e0920bede8b2b292ce55fe89be67
         case-insensitive-0.4.0.1-01f8810c807493266f7e5e172c28ca6f
         containers-0.4.2.1-7c54595400348f577b3b4a45691c5afd
         deepseq-1.3.0.0-6c19ec61ee16184ee322c1614ab60f0e
         directory-1.1.0.2-295465228776dcfcc680f61dc2cbcb59
         dlist-0.5-2bfbb416d13040992657f8c64c7b5a2b
         enumerator-0.4.19-3c5dfe85e78a4d1680282195218377f6
         filepath-1.3.0.0-674b8a582fb49f1c9724f50a6a5d5768
         mtl-2.1.1-ae9b44386a2528180e60dcf2412689c0
         mwc-random-0.12.0.0-2d78514ecfb165611a922586cf4af72a
         old-locale-1.0.0.4-29bd50ed2bb4a20928338f52e4ab1b71
         old-time-1.1.0.0-681e9789e8750358e65a9448b60ba641
         regex-posix-0.95.1-e163b83fd60599d787395552913f34a5
         text-0.11.2.0-e612aa676a8fce1c637c16c9eb2bc9e2
         time-1.4-3e186a51d3674e5d65b5a7925db3d3a7
         transformers-0.3.0.0-f2303dfef836518cc2f6901210442e10
         unix-compat-0.3.0.1-d6ccfff719916a739cff59e96f9517da
         unordered-containers-0.2.1.0-0c2c5493b800a003d2156e3491c7d967
         vector-0.9.1-1a6885a3bce312caa4cef1959fca9bfb
         zlib-enum-0.2.2.1-d95871a72fd370b25e6f675350f8145d
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/snap-core-0.9.0/html/snap-core.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/snap-core-0.9.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
